#include "../include/llodctor_pe.hpp"
#include "../include/lloiff.hpp"

int main()
{
    std::string file_name = "test.exe";
    std::vector< std::uint8_t > image;

    llo::lloiff_t iff( file_name );
    llo::s1::dctor_pe_t pe_dctor( image );

    std::printf( "> iff name = %s, hash = 0x%p\n", 
        iff.get_name().get_data().c_str(), iff.get_name().get_hash() );

    if ( !pe_dctor.generate( iff ) )
    {
        std::printf( "> failed to generate iff...\n" );
        return -1;
    }
}